import type { PageServerLoad } from './$types';
import { User } from '$lib/server/database';
import { getSession } from '$lib/server/session';
import { Permissions } from '$lib/permissions';

export const load: PageServerLoad = async ({ cookies }) => {
	return {
		count:
			getSession(cookies, { permissions: [Permissions.UserRead] }) != null ? await User.count() : 0
	};
};
